Subject: Re: [PATCH v2] i2c: Driver to expose PowerNV platform i2c busses

From: Wolfram Sang <[email-masked]>
Date: Mon, 24 Nov 2014 13:18:04 +0100

On Thu, Nov 20, 2014 at 07:52:08PM +0530, Neelesh Gupta wrote:
> 
> On 11/16/2014 10:47 PM, Neelesh Gupta wrote:
> >The patch exposes the available i2c busses on the PowerNV platform
> >to the kernel and implements the bus driver to support i2c and
> >smbus commands.
> >The driver uses the platform device infrastructure to probe the busses
> >on the platform and registers them with the i2c driver framework.
> >
> >Signed-off-by: Neelesh Gupta <[email-masked]>
> >Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> >---
> 
> Hi Wolfram,
> 
> Did you get the chance to look at it?
> The patch addresses the comments and discussions on v1.

I think there are now 3 drivers in my queue which are not fully I2C
compatible but more supporting the very minimum to, say, read an eeprom.
I am not feeling well to allow them to use I2C_FUNC_I2C. So, I want to
think about ways how to communicate deficiencies like "only 255 byte" or
"only WRRD messages" to users of that I2C controller. This is most
likely not happening before 3.19. But assistance is very welcome.